Class | Chef::Knife::CookbookDownload
In: | lib/chef/knife/cookbook_download.rb
Parent: | Knife

### Methods

ask_which_version available_versions determine_version run

### Attributes

cookbook_name | [RW] |
version | [R] |

### Public Instance methods

ask_which_version()
available_versions()
determine_version()
run()

TODO: tim/cw: 5-23-2010: need to implement knife-side specificity for downloads - need to implement —platform and —fqdn here

[Validate]